svn commit: r364498 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Sun Aug 23 06:56:29 UTC 2020


Author: pho
Date: Sun Aug 23 06:56:28 2020
New Revision: 364498
URL: https://svnweb.freebsd.org/changeset/base/364498

Log:
  Added a new regression test.

Added:
  user/pho/stress2/misc/timeout.sh   (contents, props changed)

Added: user/pho/stress2/misc/timeout.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/timeout.sh	Sun Aug 23 06:56:28 2020	(r364498)
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+#
+# SPDX-License-Identifier: BSD-2-Clause-FreeBSD
+#
+# Copyright (c) 2020 Peter Holm <pho at FreeBSD.org>
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Process group orphanage test scenario.
+# "panic: Assertion pgrp->pg_jobc > 0 failed at kern_proc.c:740" seen.
+# Fixed in r364495.
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+. ../default.cfg
+
+sed '1,/^EOF/d' < $0 > /tmp/timeout.sh
+chmod +x /tmp/timeout.sh
+
+timeout 30 su $testuser -c 'cd /tmp; ./timeout.sh'
+
+rm /tmp/timeout.sh
+exit 0
+EOF
+#!/bin/sh
+
+for i in `jot 1000`; do
+	sleep 120 &
+done
+wait
+exit 0


More information about the svn-src-user mailing list